/**
   This file defines Box3 objects.

   A Box3 object holds the data that describes a real box.
   The data is private, so the data can only be manipulated
   through methods that belong to the object.

   A Box3 object doe not allow its dimensions to be negative
   numbers.

   A Box3 object knows how to compute its volume.

   A Box3 object knows how to return a printable description
   of itself.
*/

public class Box3
{
   // three (private) instance variables
   private double length;
   private double width;
   private double height;

   // define a constructor
   public Box3(double length, double width, double height)
   {
      if (length <= 0 || width <= 0 || height <= 0)
         throw new IllegalArgumentException("Illegal dimension");

      this.length = length;
      this.width = width;
      this.height = height;
   }


   // since the data is now private, we should
   // define get and set methods, one for each
   // data field of the class
   public double getLength()
   {
      return length;
   }

   public double getWidth()
   {
      return width;
   }

   public double getHeight()
   {
      return height;
   }

   public void setLength(double length)
   {
      if (length <= 0)
         throw new IllegalArgumentException("Illegal dimension");

      this.length = length;
   }

   public void setWidth(double width)
   {
      if (width <= 0)
         throw new IllegalArgumentException("Illegal dimension");

      this.width = width;
   }

   public void setHeight(double height)
   {
      if (height <= 0)
         throw new IllegalArgumentException("Illegal dimension");

      this.height = height;
   }


   // define a method for computing the volume of the box
   public double volume()
   {
      return this.height * this.width * this.length;
   }


   // define a toString method
   public String toString()
   {
       return "The dimensions of the box are\n"
               + "height is " + height + ",\n"
               + "width is "  + width  + ",\n"
               + "length is " + length + ".";
   }

}//Box3
