/**
   This program reads in the dimensions of a box and then stores
   the data in a Box2 data structure.

   This program makes use of the fact that Box2 objects have a
   constructor for initializing the fields of the data structure
   with any given data (instead of initializing the fields with
   the Java defined default values).

   This program also makes use of the fact that Box2 objects know
   how to compute their own volume, and they also know how to
   create a printable description of themselves.
*/
import java.util.Scanner;

public class UseBox2
{
   public static void main(String[] args)
   {
      Scanner sc = new Scanner(System.in);

      // get data from the keyboard operator
      System.out.println("Please enter the dimensions of the box.");
      System.out.print("Please enter the height: ");
      double height = sc.nextDouble();
      System.out.print("Please enter the width: ");
      double width = sc.nextDouble();
      System.out.print("Please enter the length: ");
      double length = sc.nextDouble();

      Box2 box;  // declare a variable of type Box2
      // create a Box2 object with the appropriate
      // dimensions (using a constructor)  and name it box
      box = new Box2(height, width, length);

      // make use of the data in the Box object
      System.out.println( box );
      System.out.println("The volume of the box is " + box.volume() + ".");

   }//main()
}//UseBox2
