/*
   This class defines TemperatureReading5C objects.

   This class is a subclass of TemperatureReading5.

   This class lets you instantiate temperature reading
   objects using the Celsius scale.
*/
import java.util.*;

/**
    This class encapsulates the data from a temperature reading.
    The details of how a temperature is stored are hidden from the
    user of objects created from this class. The public interface of
    this class requires that the scale of a temperature must always
    be specified. This provides a safe way to store temperature values.

    @author Roger Kraft
    @version 5C
*/
public class TemperatureReading5C extends TemperatureReading5
{
   /**
      The default constructor.
   */
   public TemperatureReading5C()
   {
      super();
   }

   /**
      A constructor that specifies the scale for the temperature.

      @param temperature    the temperature in degrees Celsius
      @param newLat         the latitude of the reading
      @param newLong        the longitude of the reading
   */
   public TemperatureReading5C(double temperatureC,
                               double latitude, double longitude)
   {
      super(temperatureC + 273, latitude, longitude);  // convert Celsius to Kelvin
   }

}//TemperatureReading5C
