/*
   This class defines TemperatureReading5F objects.

   This class is a subclass of TemperatureReading5.

   This class lets you instantiate temperature reading
   objects using the Fahrenheit scale.
*/
import java.util.*;

/**
    This class encapsulates the data from a temperature reading.
    The details of how a temperature is stored are hidden from the
    user of objects created from this class. The public interface of
    this class requires that the scale of a temperature must always
    be specified. This provides a safe way to store temperature values.

    @author Roger Kraft
    @version 5F
*/
public class TemperatureReading5F extends TemperatureReading5
{
   /**
      The default constructor.
   */
   public TemperatureReading5F()
   {
      super();
   }

   /**
      A constructor that specifies the scale for the temperature.

      @param temperature    the temperature in degrees Fahrenheit
      @param newLat         the latitude of the reading
      @param newLong        the longitude of the reading
   */
   public TemperatureReading5F(double temperatureF,
                               double latitude, double longitude)
   {
      super((temperatureF - 32)/1.8 + 273, latitude, longitude);  // convert from Fahrenheit to Kelvin
   }

}//TemperatureReading5F
